Bug 126013 - Unrecognised USB flash device
Summary: Unrecognised USB flash device
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu   
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-15 10:52 UTC by Sitsofe Wheeler
Modified: 2014-03-17 02:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 15:33:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sitsofe Wheeler 2004-06-15 10:52:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
Yet another usb memory stick / flash drive / pen thing not yet
recognised. This calls itself an integral 256MB USB 2.0 Flash Drive on
the case. Why oh why didn't manufacturers come up with some sort of
single discriptor for this stuff?

Version-Release number of selected component (if applicable):
kudzu-1.1.62-1

How reproducible:
Always

Steps to Reproduce:
1. Insert USB widget 
2. Double click the Computer icon on the desktop

Actual Results:  An extra icon representing the newly inserted device
which can be double clicked / right mouse button clicked and mounted.

Expected Results:  No extra device is shown.

Additional info:

I wound up adding:
device flash {
    partition 1
    match   hd "USB DISK"
}
to /etc/updfstab.conf

Output of kudzu -p

class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "Phison electronics Corp PS2031 Flash Disk"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 1
usbport: 1
usbdev: 3
vendorId: 0d7d
deviceId: 1320
usbprod: USB DISK Pro
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Unknown USB DISK Pro"
host: 1
id: 0
channel: 0
lun: 0
generic: sg0

Comment 1 Sitsofe Wheeler 2004-06-17 09:42:31 UTC
Changing severity to low.

I have another unidentified flash device here I fixed by adding
device flash {
    partition 1
    match   hd "HardDrive"
}
to /etc/updfstab.conf

Here's the kudzu -p output for it:

class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "Ours Technology, Inc. OTI-6803 Flash Disk"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 1
usbport: 1
usbdev: 8
vendorId: 0ea0
deviceId: 6803
usbmfr: USB
usbprod: Solid state disk
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "32mb HardDrive"
host: 5
id: 0
channel: 0
lun: 0
generic: sg0

Comment 2 Matthew Miller 2005-04-26 15:30:34 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Bill Nottingham 2005-04-26 15:33:49 UTC
As current releases use HAL/fstab-sync, updfstab will not be changed at this point.


Note You need to log in before you can comment on or make changes to this bug.